perl-Module-Install-RequiresList-0.150.0-6.mga7.noarch.rpm


Advertisement

Description

perl-Module-Install-RequiresList - Report prerequisite modules and version numbers

Property Value
Distribution Mageia Cauldron
Repository Mageia Core i586
Package filename perl-Module-Install-RequiresList-0.150.0-6.mga7.noarch.rpm
Package name perl-Module-Install-RequiresList
Package version 0.150.0
Package release 6.mga7
Package architecture noarch
Package type rpm
Category Development/Perl
Homepage http://search.cpan.org/dist/Module-Install-RequiresList
License GPL+ or Artistic
Maintainer -
Download size 18.44 KB
Installed size 24.46 KB
This module adds a target to your Makefile for listing the modules
required.
The report is broken into sections: Required, Recommended, Build Requires,
and Author Requires.
For each module listed, the report prints 3 versions: the version you are
requesting, your installed version and the CPAN version.

Alternatives

Package Version Architecture Repository
perl-Module-Install-RequiresList-0.150.0-6.mga7.noarch.rpm 0.150.0 noarch Mageia Core
perl-Module-Install-RequiresList - - -

Requires

Name Value
perl(CPAN::Meta::YAML) >= 0.3.0
perl(IO::All) >= 0.410.0
perl(JSON) >= 2.530.0
perl(Module::Install) >= 1.100.0
perl(Module::Install::Base) -
perl(Template::Toolkit::Simple) >= 0.130.0
perl(base) -
perl(strict) -
perl-base >= 2:5.28.0

Provides

Name Value
perl(Module::Install::RequiresList) == 0.150.0
perl-Module-Install-RequiresList == 0.150.0-6.mga7

Download

Type URL
Mirror distrib-coffee.ipsl.jussieu.fr
Binary Package perl-Module-Install-RequiresList-0.150.0-6.mga7.noarch.rpm
Source Package perl-Module-Install-RequiresList-0.150.0-6.mga7.src.rpm

Install Howto

  1. Enable Mageia Core repository on Install and Remove Software
  2. Update packages list:
    # urpmi.update -a
  3. Install perl-Module-Install-RequiresList rpm package:
    # urpmi perl-Module-Install-RequiresList

Files

Path
/usr/share/doc/perl-Module-Install-RequiresList/Changes
/usr/share/doc/perl-Module-Install-RequiresList/LICENSE
/usr/share/doc/perl-Module-Install-RequiresList/META.yml
/usr/share/doc/perl-Module-Install-RequiresList/README
/usr/share/man/man3/Module::Install::RequiresList.3pm.xz
/usr/share/perl5/vendor_perl/Module/
/usr/share/perl5/vendor_perl/Module/Install/RequiresList.pm
/usr/share/perl5/vendor_perl/Module/Install/RequiresList.pod

Changelog

2018-09-19 - umeabot <umeabot> 0.150.0-6.mga7
(not released yet)
+ Revision: 1269409
- Mageia 7 Mass Rebuild
2016-06-19 - pterjan <pterjan> 0.150.0-5.mga6
+ Revision: 1030104
- Rebuild for perl 5.22.2
2016-02-02 - umeabot <umeabot> 0.150.0-4.mga6
+ Revision: 931982
- Mageia 6 Mass Rebuild

See Also

Package Description
perl-Module-Install-StandardTests-0.50.0-11.mga7.noarch.rpm Generate standard tests for installation
perl-Module-Install-Template-0.80.0-10.mga7.noarch.rpm Treat module source code as a template
perl-Module-Install-TestBase-0.860.0-6.mga7.noarch.rpm Module::Install Support for Test::Base
perl-Module-Install-TestML-0.20.0-6.mga7.noarch.rpm Module::Install Support for TestML
perl-Module-Install-TrustMetaYml-0.3.0-10.mga7.noarch.rpm Trusts META.yml list of dependencies
perl-Module-Install-VersionCheck-0.210.0-7.mga7.noarch.rpm Show Author the Current Versions
perl-Module-List-0.4.0-3.mga7.noarch.rpm Module `directory' listing
perl-Module-List-Pluggable-0.80.0-8.mga7.noarch.rpm Stub that imports methods via Module::List::Pluggable
perl-Module-Load-0.340.0-1.mga7.noarch.rpm Runtime require of both modules and files
perl-Module-Load-Conditional-0.680.0-2.mga7.noarch.rpm Looking up module information / loading at runtime
perl-Module-Loaded-0.80.0-8.mga7.noarch.rpm Mark modules as loaded or unloaded
perl-Module-Locate-1.800.0-3.mga7.noarch.rpm Locate modules in the same fashion as C<require> and C<use>
perl-Module-Manifest-1.90.0-2.mga7.noarch.rpm Parse and examine a Perl distribution MANIFEST file
perl-Module-Manifest-Skip-0.230.0-6.mga7.noarch.rpm MANIFEST.SKIP Manangement for Modules
perl-Module-Math-Depends-0.20.0-10.mga7.noarch.rpm Convenience object for manipulating module dependencies
Advertisement
Advertisement